MKARCHROOT(1)

NAME
mkarchroot - Creates an arch chroot in a specified location with a specified set of packages

SYNOPSIS

mkarchroot [options] [location] [packages]

DESCRIPTION

mkarchroot is a script to create an Arch Linux chroot at a specified location with specified packages. Typically used by makechrootpkg to create build chroots. Apart from installing specified packages the chroot is created with an en_US.UTF-8 and de_DE.UTF-8 locale and a generated machine-id.

OPTIONS

-U
    Use pacman -U to install packages.

-C <file>
    Location of a pacman config file.

-M <file>
    Location of a makepkg config file.

-c <dir>
    Set pacman cache.

-f <file>
    Copy file from the host to the chroot.

-s
    Do not run setarch.

-h
    Output command line options.

SEE ALSO

pacman(1)

BUGS

Bugs can be reported on the bug tracker https://bugs.archlinux.org in the Arch Linux category and title prefixed with [devtools] or via arch-projects@archlinux.org.

AUTHORS

Maintainers:

    • Aaron Griffin <aaronmgriffin@gmail.com>

    • Allan McRae <allan@archlinux.org>

    • Bartłomiej Piotrowski <bpiotrowski@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Dave Reisner <dreisner@archlinux.org>

    • Evangelos Foutras <evangelos@foutrelis.com>

    • Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

    • Jelle van der Waa <jelle@archlinux.org>

    • Levente Polyak <anthraxx@archlinux.org>

    • Pierre Schmitz <pierre@archlinux.de>

    • Sébastien Luttringer <seblu@seblu.net>

    • Sven-Hendrik Haase <svenstaro@gmail.com>

    • Thomas Bächler <thomas@archlinux.org>

For additional contributors, use git shortlog -s on the devtools.git repository.